> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Usage



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/assistant-usage/me
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/assistant-usage/me:
    get:
      tags:
        - Assistant Usage
      summary: Get My Usage
      operationId: AssistantUsageController_getMyUsage_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: cycle
          required: false
          in: query
          schema:
            type: string
            pattern: ^\d{4}-(0[1-9]|1[0-2])$
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantMemberUsageResponseDto'
components:
  schemas:
    AssistantMemberUsageResponseDto:
      type: object
      properties:
        member:
          $ref: '#/components/schemas/AssistantUsageMemberDto'
        daily:
          type: array
          items:
            $ref: '#/components/schemas/AssistantUsageDayDto'
        byAgent:
          type: array
          items:
            $ref: '#/components/schemas/AssistantUsageShareDto'
      required:
        - member
        - daily
        - byAgent
    AssistantUsageMemberDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - member
            - system
            - deleted
        userId:
          type: string
          nullable: true
        name:
          type: string
        email:
          type: string
          nullable: true
        usedCredits:
          type: string
        allottedCredits:
          type: string
        refusedCount:
          type: number
      required:
        - kind
        - userId
        - name
        - email
        - usedCredits
        - allottedCredits
        - refusedCount
    AssistantUsageDayDto:
      type: object
      properties:
        date:
          type: string
        credits:
          type: string
      required:
        - date
        - credits
    AssistantUsageShareDto:
      type: object
      properties:
        key:
          type: string
          nullable: true
        label:
          type: string
        credits:
          type: string
      required:
        - key
        - label
        - credits

````